---
title: Backstage Description
---

Backstage by Spotify can be seen as a Platform Portal. It is an open platform for building and managing internal developer tools, providing a unified interface for accessing various tools and resources within an organization.

Key Features of Backstage as a Platform Portal:
Tool Integration:

Backstage allows for the integration of various tools used in the development process, such as CI/CD, version control systems, monitoring, and others, into a single interface.
Service Management:

It offers the ability to register and manage services and microservices, as well as monitor their status and performance.
Documentation and Learning Materials:

Backstage includes capabilities for storing and organizing documentation, making it easier for developers to access information.
Golden Paths:

Backstage supports the concept of "Golden Paths," enabling teams to follow recommended practices for development and tool usage.
Modularity and Extensibility:

The platform allows for the creation of plugins, enabling users to customize and extend Backstage's functionality to fit their organization's needs.
Backstage provides developers with centralized and convenient access to essential tools and resources, making it an effective solution for supporting Platform Engineering and developing an internal platform portal.