# Developer landscape with respect to DevOps Inner-Outer loop

## Inner loop, outer loop

![alt text](localdev.png)

* [What software delivery leaders need to know about inner & outer loops](https://curiositysoftware.medium.com/what-software-delivery-leaders-need-to-know-about-inner-outer-loops-9da765b0ca2c)

* (original articale is here](https://www.curiositysoftware.ie/blog/software-delivery-leaders-guide-inner-outer-loops)

## Landscape

### Draft

![alt text](developer-landscape-view-draft.png)

### C4

See [developer-landscape](../../views/landscape.c4)

![alt text](developer-landscape-view-c4.png)
![alt text](developer-landscape-view-c4-2.png)

![alt text](developer-landscape-view-c4-ppt-layouted.png)
![alt text](developer-landscape-view-c4-ppt-layouted-dark.png)

## CI/CD Outerloop

### Draft 

![alt text](cicd-outerloop-draft.png)

ArgoCD and Cloud are CD, Forgejo is CI

### C4

![alt text](cicd-outerloop.png)

![alt text](cicd-outerloop-2.png)


## PPT

![alt text](slide-1.png)